VSTGUI: MouseEventButtonState Struct Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
MouseEventButtonState Struct Reference
Version 4.11

MouseEventButtonState. More...

## Public Member Functions
bool | isLeft () const
bool | isMiddle () const
bool | isRight () const
bool | is (MouseButton pos) const
bool | isOther (uint32_t index) const
bool | has (MouseButton pos) const
bool | empty () const
void | add (MouseButton pos)
void | set (MouseButton pos)
void | clear ()
| MouseEventButtonState ()=default
| MouseEventButtonState (const MouseEventButtonState &)=default
| MouseEventButtonState (MouseButton pos)
MouseEventButtonState & | operator= (const MouseEventButtonState &)=default
bool | operator== (const MouseEventButtonState &other) const
bool | operator!= (const MouseEventButtonState &other) const

## Detailed Description

MouseEventButtonState.

## Constructor & Destructor Documentation

MouseEventButtonState | ( |  | ) |
| default

MouseEventButtonState | ( | const MouseEventButtonState & |  | ) |
| default

MouseEventButtonState | ( | MouseButton | pos | ) |
| inline

## Member Function Documentation

void add | ( | MouseButton | pos | ) |
| inline

void clear | ( |  | ) |
| inline

bool empty | ( |  | ) | const
| inline

bool has | ( | MouseButton | pos | ) | const
| inline

bool is | ( | MouseButton | pos | ) | const
| inline

bool isLeft | ( |  | ) | const
| inline

bool isMiddle | ( |  | ) | const
| inline

bool isOther | ( | uint32_t | index | ) | const
| inline

bool isRight | ( |  | ) | const
| inline

bool operator!= | ( | const MouseEventButtonState & | other | ) | const
| inline

MouseEventButtonState& operator= | ( | const MouseEventButtonState & |  | ) |
| default

bool operator== | ( | const MouseEventButtonState & | other | ) | const
| inline

void set | ( | MouseButton | pos | ) |
| inline

The documentation for this struct was generated from the following file:

- events.h